# Generated by Django 3.1.7 on 2021-04-09 09:09

from django.db import migrations, models
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Unit',
            fields=[
                ('uid', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('title', models.CharField(max_length=256, verbose_name='Title')),
                ('raw_file', models.FileField(upload_to='', verbose_name='Raw file')),
                ('mp4_file', models.FileField(null=True, upload_to='', verbose_name='Compressed mp4 file')),
                ('webm_file', models.FileField(null=True, upload_to='', verbose_name='Compressed webm file')),
                ('preview', models.ImageField(max_length=256, null=True, upload_to='', verbose_name='File preview')),
                ('description', models.TextField(blank=True, null=True, verbose_name='File description')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
